CMDLINER-TOOL-COMMANDS(1)

NAME

cmdliner-tool-commands - Output all subcommands of a cmdliner tool

SYNOPSIS

cmdliner tool-commands [OPTION]… TOOLEXEC

DESCRIPTION

cmdliner tool-commands outputs all the subcommands of a given cmdliner based tool, one per line. Examples:

cmdliner tool-commands ./mytool

cmdliner tool-commands cmdliner

ARGUMENTS

TOOLEXEC (required)
    TOOLEXEC is the tool executable. Searched in the PATH unless an explicit file path is specified.

COMMON OPTIONS

--help[=FMT] (default=auto)
    Show this help in format FMT. The value FMT must be one of auto, pager, groff or plain. With auto, the format is pager or plain whenever the TERM env var is dumb or undefined.

--version
    Show version information.

EXIT STATUS

cmdliner tool-commands exits with:

0   on success.

123 on indiscriminate errors reported on standard error.

124 on command line parsing errors.

125 on unexpected internal errors (bugs).

SEE ALSO

cmdliner(1)